/*
 * Copyright [2005] [University Corporation for Advanced Internet Development, Inc.]
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.internet2.middleware.shibboleth.aa.attrresolv.provider;

import java.util.Collection;
import java.util.Iterator;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * Defines a handler for rendering attribute values.
 * 
 * @author Walter Hoehn (wassa@columbia.edu)
 * 
 */
public interface ValueHandler {

	/**
	 * Converts an attribute value to a series of DOM nodes.
	 * 
	 * @param valueElement
	 *            the parent DOM node
	 * @param value
	 *            the value object
	 * @param document
	 *            the <code>Document</code> from which to create new nodes
	 */
	public void toDOM(Element valueElement, Object value, Document document) throws ValueHandlerException;

	public Iterator getValues(Collection internalValues);
}
